{# _datamax/api/templates/files/index.html_ #}
{% extends "validation_layout.html" %}

{% block body %}
<div class="row">
    <div class="col-md-8">
        <h5 class="card-title">Registered files in the system</h5>
    </div>
    <div class="col-md-4 text-right">

    </div>
</div>
<br/>
<div>
<table id="Content" class="display" style="90%">
<thead>
    <tr>
        <th>Id</th>
        <th>Name</th>
        <th>Description</th>
        <th>Created Date</th>
        <th>Source Type</th>
        <th>Validation Configuration</th>
    </tr>
</thead>
</table>
</div>
<script>
    $(document).ready(function() {
        var table = $('#Content').DataTable({
             "stateSave": true,
             "order": [[ 0, "desc" ]],
             "ajax": {
                url: "{{ url_for('api_exchange.index') }}?name=list_files",
                dataSrc: 'Contents'
             },
             "columns": [
                { data: "id" },
                { data: "name" },
                { data: "description" },
                { data: "creation_date" },
                { data: null },
                { "data": null, "width": "10%" }
             ],
             columnDefs: [{
                // puts a button in the last column
                targets: [-1], render: function (a, b, data, d) {
                    return '&ensp;&ensp;<a href="{{ url_for('views_validation.list_config') }}?file_id=' +
                           data.id + '&source_type=' + data.source_type + '&name=' + data.name + '">' +
                           '<i class="fas fa-cogs"></i></a>&ensp;&ensp;';


                }
            },
            {
                targets: [-2], render: function (a, b, data, d) {
                    if (data.source_type == 's3') {
                        return '<span class="badge badge-info">S3</span>';
                    } else if (data.source_type == 'rs') {
                        return '<span class="badge badge-success">Redshift</span>';
                    }

                }
            }]
             
        });
    });
</script>
{% endblock %}